Summary: 	A C library for multiple-precision floating-point computations
Name: 		mpfr
Version: 	2.3.1
Release: 	1
URL: 		http://www.mpfr.org/
Source0: 	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.bz2
License: 	LGPLv2+ and GPLv2+ and GFDL
Group:		Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gmp-devel >= 4.2.2

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and 
also has a well-defined semantics. It copies the good ideas from the 
ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package 	devel
Summary: 	Development tools A C library for mpfr library
Group: 		Development

%description 	devel
The static libraries, header files and documentation for using the MPFR 
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.

%prep
%setup -q

%build
%configure --disable-assert
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_includedir}
